Flow Control

Get Flow Control Key

Get details of a specific Flow Control key.

GET/v2/keys/rotate
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/keys/rotate \
  --header 'Authorization: Bearer <token>'
200Response
{
  "flowControlKey": "<string>",
  "waitlistSize": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

flowControlKeypathstringrequired

The Flow Control key to retrieve.

Response

200 — Flow control key details

flowControlKeystring

The flow control key name

waitlistSizeinteger

The number of messages waiting due to flow control configuration.

400 — Bad Request

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

404 — Flow Control key not found

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…